libsigc++ 2.99.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

sigc::pointer_functor< T_return, T_args > Class Template Reference
Functors » ptr_fun()

pointer_functor wraps existing non-member functions with, or without, arguments. More...

`#include <sigc++/functors/ptr_fun.h>`

## Detailed Description

### template<class T_return, class... T_args>
class sigc::pointer_functor< T_return, T_args >

pointer_functor wraps existing non-member functions with, or without, arguments.

Use the convenience function ptr_fun() to create an instance of pointer_functor.

The following template arguments are used:

- T_args... Argument types used in the definition of operator()().
- T_return The return type of operator()().